package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsYsplanContentMapper;
import com.ruoyi.project.training.bccnew.domain.TTsYsplanContent;
import com.ruoyi.project.training.bccnew.service.ITTsYsplanContentService;

/**
 * 压缩培训内容Service业务层处理
 *
 * @author ssy
 * @date 2024-07-19
 */
@Service
public class TTsYsplanContentServiceImpl implements ITTsYsplanContentService
{
    @Autowired
    private TTsYsplanContentMapper tTsYsplanContentMapper;

    /**
     * 查询压缩培训内容
     *
     * @param id 压缩培训内容ID
     * @return 压缩培训内容
     */
    @Override
    public TTsYsplanContent selectTTsYsplanContentById(Long id)
    {
        return tTsYsplanContentMapper.selectTTsYsplanContentById(id);
    }

    /**
     * 查询压缩培训内容列表
     *
     * @param tTsYsplanContent 压缩培训内容
     * @return 压缩培训内容
     */
    @Override
    public List<TTsYsplanContent> selectTTsYsplanContentList(TTsYsplanContent tTsYsplanContent)
    {
        return tTsYsplanContentMapper.selectTTsYsplanContentList(tTsYsplanContent);
    }

    /**
     * 新增压缩培训内容
     *
     * @param tTsYsplanContent 压缩培训内容
     * @return 结果
     */
    @Override
    public int insertTTsYsplanContent(TTsYsplanContent tTsYsplanContent)
    {
        return tTsYsplanContentMapper.insertTTsYsplanContent(tTsYsplanContent);
    }

    /**
     * 修改压缩培训内容
     *
     * @param tTsYsplanContent 压缩培训内容
     * @return 结果
     */
    @Override
    public int updateTTsYsplanContent(TTsYsplanContent tTsYsplanContent)
    {
        return tTsYsplanContentMapper.updateTTsYsplanContent(tTsYsplanContent);
    }

    /**
     * 批量删除压缩培训内容
     *
     * @param ids 需要删除的压缩培训内容ID
     * @return 结果
     */
    @Override
    public int deleteTTsYsplanContentByIds(Long[] ids)
    {
        return tTsYsplanContentMapper.deleteTTsYsplanContentByIds(ids);
    }

    /**
     * 删除压缩培训内容信息
     *
     * @param id 压缩培训内容ID
     * @return 结果
     */
    @Override
    public int deleteTTsYsplanContentById(Long id)
    {
        return tTsYsplanContentMapper.deleteTTsYsplanContentById(id);
    }
}
